#!/bin/bash

export LANG=C
rm -f /usr/bin/Get_CPU_Information /etc/xdg/autostart/Get_CPU_Information.desktop

# Hardware info

CPUS=$(lscpu | grep "^CPU(s):" | awk '{print $2}')
CPU_MODEL=$(dmidecode -s processor-version | uniq)

if [ -z "$CPUS" ]
then
    CPUS=$(cat /proc/cpuinfo | grep ^processor | wc -l)
fi

if [ -z "$CPU_MODEL" ]
then
    CPU_MODEL="Processor"
fi

echo -e "[Hardware]\nCPU_MODEL=$CPUS x $CPU_MODEL" | tee /var/log/sysinfo

# Software info
# TODO
