#!/bin/bash

if [ -e /etc/apt/sources.list.d/redflag-live-media.list ]; then
    rm -f /etc/apt/sources.list.d/redflag-live-media.list
fi

APT_BUSTER_LIST="/etc/apt/sources.list.d/debian-buster.list"
if [ ! -f "$APT_BUSTER_LIST" ]; then
    cat > "$APT_BUSTER_LIST" << EOF
deb https://mirrors.tuna.tsinghua.edu.cn/debian/ buster main contrib non-free
# deb-src https://mirrors.tuna.tsinghua.edu.cn/debian/ buster main contrib non-free
deb https://mirrors.tuna.tsinghua.edu.cn/debian/ buster-updates main contrib non-free
# deb-src https://mirrors.tuna.tsinghua.edu.cn/debian/ buster-updates main contrib non-free
deb https://mirrors.tuna.tsinghua.edu.cn/debian/ buster-backports main contrib non-free
# deb-src https://mirrors.tuna.tsinghua.edu.cn/debian/ buster-backports main contrib non-free
deb https://mirrors.tuna.tsinghua.edu.cn/debian-security buster/updates main contrib non-free
# deb-src https://mirrors.tuna.tsinghua.edu.cn/debian-security buster/updates main contrib non-free
EOF
fi
